// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:  Declares main application class.
// 
// 


#ifndef __FINDMEAPPLICATION_H__
#define __FINDMEAPPLICATION_H__

// INCLUDES
#include <aknapp.h>
#include "FindMe.hrh"


// UID for the application;
// this should correspond to the uid defined in the mmp file
const TUid KUidFindMeApp = { _UID3 };


// CLASS DECLARATION

/**
* CFindMeApplication application class.
* Provides factory to create concrete document object.
* An instance of CFindMeApplication is the application part of the
* AVKON application framework for the FindMe example application.
*/
class CFindMeApplication : public CAknApplication
	{
	public: // Functions from base classes

		/**
		* From CApaApplication, AppDllUid.
		* @return Application's UID (KUidFindMeApp).
		*/
		TUid AppDllUid() const;

	protected: // Functions from base classes

		/**
		* From CApaApplication, CreateDocumentL.
		* Creates CFindMeDocument document object. The returned
		* pointer in not owned by the CFindMeApplication object.
		* @return A pointer to the created document object.
		*/
		CApaDocument* CreateDocumentL();
	};

#endif // __FINDMEAPPLICATION_H__

// End of File
